## unionfs-fuse 0.23.hg.20090611

=== src/Makefile ===
--- 
+++ 
@@ -9,7 +9,7 @@
 UNIONFS_OBJ = unionfs.o stats.o opts.o debug.o findbranch.o readdir.o general.o unlink.o rmdir.o cow.o cow_utils.o string.o
 
 
-unionfs: $(UNIONFS_OBJ) $(HASHTABLE_OBJ)
+unionfs: $(UNIONFS_OBJ) $(HASHTABLE_OBJ) version.h
 	$(CC) $(LDFLAGS) -o $@ $(UNIONFS_OBJ) $(HASHTABLE_OBJ) $(LIB)
 
 clean:
