=== man/CMakeLists.txt ===
INSTALL(FILES unionfs-fuse.8 DESTINATION share/man/man8/)
