=== debian/changelog ===
unionfs-fuse (0.24-2.2ubuntu1) raring; urgency=low

  * Merge from Debian unstable. Remaining changes:
    - debian/control: Add Multi-Arch: foreign.

 -- Logan Rosen <logatronico@gmail.com>  Thu, 31 Jan 2013 14:25:24 -0500

unionfs-fuse (0.24-2.2) unstable; urgency=low

  * Non-maintainer upload.
  * Depend on fuse instead of fuse-utils. (Closes: #698129)

 -- Ansgar Burchardt <ansgar@debian.org>  Sat, 19 Jan 2013 13:35:47 +0100

unionfs-fuse (0.24-2.1ubuntu1) precise; urgency=low

  * Add Multi-Arch: foreign (LP: #932492)

 -- Scott Ritchie <scottritchie@ubuntu.com>  Tue, 14 Feb 2012 18:43:35 -0800

unionfs-fuse (0.24-2.1) unstable; urgency=low

  * Non-maintainer upload.
  * debian/control: Change Architecture to linux-any as fuse-utils is only
    available there. (Closes: #593697)
  * Remove debian/dirs: /usr/sbin is not used by this package.

 -- Ansgar Burchardt <ansgar@debian.org>  Fri, 29 Apr 2011 23:08:19 +0200

unionfs-fuse (0.24-2) unstable; urgency=low

  * remove quilt dependency and quilt entries from debian/rules
    (Thanks to Martin Pitt for spotting this)
  * Fix debian/changelog, all recent bug numbers had missing '#'
    (Again thanks to Martin) 

 -- Bernd Schubert <bernd.schubert@fastmail.fm>  Tue, 29 Jun 2010 21:28:22 +0200

unionfs-fuse (0.24-1) unstable; urgency=low

  * New upstream release 
  * Add utimens.patch 
  * Also close 509516, although the solution is not perfect yet
    (closes: #509516)
  * Switch to dpkg-source 3.0 (quilt) format

 -- Bernd Schubert <bernd.schubert@fastmail.fm>  Wed, 26 May 2010 16:42:13 +0200

unionfs-fuse (0.23.hg.20100315-1) unstable; urgency=low

  * Another update from my branch to merge with Radek and to 
    update the test script

 -- Bernd Schubert <bernd.schubert@fastmail.fm>  Mon, 15 Mar 2010 00:02:08 +0100

unionfs-fuse (0.23.hg.20090831-1) unstable; urgency=low

  * another pull from my branch
  * fix relative pathes (closes: #541614)
  * inlcude patch from Goswin (closes: #533403)

 -- Bernd Schubert <bernd.schubert@fastmail.fm>  Mon, 31 Aug 2009 00:29:46 +0200

unionfs-fuse (0.23.hg.20090611-1) unstable; urgency=low

  * another pull from my branch
  * change my maintainer mail address

 -- Bernd Schubert <bernd.schubert@fastmail.fm>  Thu, 11 Jun 2009 20:42:41 +0200

unionfs-fuse (0.23.hg.20090601-2) unstable; urgency=low

  * set DH_COMPAT to 7
  * fix several lintian packaging errors

 -- Bernd Schubert <bernd-schubert@gmx.de>  Tue, 02 Jun 2009 00:18:25 +0200

unionfs-fuse (0.23.hg.20090601-1) unstable; urgency=low

  * new upstream release
  * pull from my branch to include everything that is supposed to be in 0.24
    (http://podgorny.cz/~bernd/hg/hgwebdir.cgi/radek-trunk-bernd-merge)
  * (closes: #496794)
  * (closes: #530214)
  * (closes: #511157)
  * new option "-o statfs_omit_ro" (closes: #511446)
  * man page updated if "-o cow" (is not specified closes: #511047)
  * partly fixes bug #509516, I leave that bug open, since only fixed for one
    rw branch

 -- Bernd Schubert <bernd-schubert@gmx.de>  Mon, 01 Jun 2009 23:12:42 +0200

unionfs-fuse (0.21-3) unstable; urgency=high

  * fixes critical buffer overflow on using relativ pathes
  * slightly improve the man page to tell people without -ocow 
    not everything might work as expected
  * change binary path from /usr/sbin to /usr/bin
  * (closes: #511995)
  * (closes: #511158)

 -- Bernd Schubert <bernd-schubert@gmx.de>  Sat, 24 Jan 2009 00:10:44 +0100

unionfs-fuse (0.21-2) unstable; urgency=high

  * fix a critical bug: creating new files in directories existing only
    in read-only branches failed, since the directory path wasn't copied
    to the rw-branch
  * (closes: #495380)

 -- Bernd Schubert <bernd-schubert@gmx.de>  Mon, 11 Aug 2008 09:22:42 +0000

unionfs-fuse (0.21-1) unstable; urgency=low

  * new upstream release

 -- Bernd Schubert <bernd-schubert@gmx.de>  Sat, 26 Jul 2008 18:28:39 +0200

unionfs-fuse (0.20-5) unstable; urgency=low

  * Another pull from my branch, fixes sereveral bugs, among it a critical
    deadlock
  * Installing new NEWS file and examples/ directory with dh_docs
  * This is actually the 0.21 release (also to be released this weekend).

 -- Bernd Schubert <bernd-schubert@gmx.de>  Sat, 26 Jul 2008 14:03:50 +0200

unionfs-fuse (0.20-4) unstable; urgency=low

  * as by suggestion of Kapil:
    - remove debian/copyright.in
    - install the CREDITS file with dh_installdocs

 -- Bernd Schubert <bernd-schubert@gmx.de>  Thu, 26 Jun 2008 21:02:11 +0200

unionfs-fuse (0.20-3) unstable; urgency=low

  * another hg pull from  http://hg.podgorny.cz/unionfs-fuse
    (fixes the elfhash CPL incompatibility problem)
  * Changes to the debian/copyright files as suggested by Kapil Hari Paranjape
    and Richard Laager

 -- Bernd Schubert <bernd-schubert@gmx.de>  Thu, 26 Jun 2008 13:22:14 +0200

unionfs-fuse (0.20-2) unstable; urgency=low

  * add debian/watch file 
  * fix the copyright file generation

 -- Bernd Schubert <bernd-schubert@gmx.de>  Mon, 23 Jun 2008 22:50:03 +0200

unionfs-fuse (0.20-1) unstable; urgency=low

  * Ouch, already so many internal releases and I never noticed the version 
    string was wrong.

 -- Bernd Schubert <bernd-schubert@gmx.de>  Fri, 20 Jun 2008 21:13:18 +0000

unionfs-fuse (0.9.20-2) unstable; urgency=low

  * correct the section to misc

 -- Bernd Schubert <bernd-schubert@gmx.de>  Fri, 20 Jun 2008 12:25:54 +0000

unionfs-fuse (0.9.20-1) unstable; urgency=low

  * new upstream release
  * additional hg pull from
    http://podgorny.cz/~bernd/hg/hgwebdir.cgi/radek-trunk-bernd-merge
  * preparing official debian upload
  * switch to cmake based build system
  * (closes: #481490)

 -- Bernd Schubert <bernd-schubert@gmx.de>  Thu, 19 Jun 2008 17:37:15 +0200

unionfs-fuse (0.9.19-hg20080403-ql2) unstable; urgency=low

  * convert to debian quilt series
  * add fd.patch

 -- Bernd Schubert <bs@q-leap.de>  Tue, 29 Apr 2008 13:56:06 +0200

unionfs-fuse (0.9.19-hg20080403-ql1) unstable; urgency=low


