=== debian/control ===
Source: unionfs-fuse
Section: misc
Priority: optional
Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
XSBC-Original-Maintainer: Bernd Schubert <bernd.schubert@fastmail.fm>
Build-Depends: debhelper (>= 7.0.0), libfuse-dev, cmake
Standards-Version: 3.9.0

Package: unionfs-fuse
Architecture: linux-any
Multi-Arch: foreign
Depends: ${shlibs:Depends}, ${misc:Depends}, fuse
Description: Fuse implementation of unionfs
 This is another unionfs implementation using filesystem in 
 userspace (fuse).
