## unionfs-fuse 1.0

=== CMakeLists.txt ===
--- 
+++ 
@@ -1,6 +1,7 @@
-project(unionfs-fuse)
+project(unionfs-fuse C)
 
 cmake_minimum_required(VERSION 2.0)
+INCLUDE (CheckIncludeFiles)
 
 # Set a default build type for single-configuration
 # CMake generators if no build type is set.
@@ -14,12 +15,31 @@
 SET(CMAKE_C_FLAGS_RELEASE "-O2")
 SET(CMAKE_C_FLAGS_DEBUG "-O0 -g -DDEBUG")
 
+if (UNIX AND APPLE)
+  include_directories("/usr/local/include/osxfuse/fuse")
+endif()
+
 add_definitions(-D_FILE_OFFSET_BITS=64 -DFUSE_USE_VERSION=26)
 
-option(WITH_XATTR "Enable support for extended attributes")
-if(WITH_XATTR)
-	add_definitions(-DHAVE_SETXATTR)
-endif(WITH_XATTR)
+option(WITH_XATTR "Enable support for extended attributes" OFF)
+
+# .h include files
+IF (WITH_XATTR)
+	CHECK_INCLUDE_FILES("sys/xattr.h" HAVE_LIBC_XATTR)
+	CHECK_INCLUDE_FILES("attr/xattr.h" HAVE_LIBATTR_XATTR)
+
+	IF (HAVE_LIBC_XATTR)
+		add_definitions(-DLIBC_XATTR)
+	ELSEIF(HAVE_LIBATTR_XATTR)
+		add_definitions(-DLIBATTR_XATTR)
+	ENDIF()
+
+	IF (NOT HAVE_LIBC_XATTR AND NOT HAVE_LIBATTR_XATTR)
+		add_definitions(-DDISABLE_XATTR)
+	ENDIF()
+ELSE (WITH_XATTR)
+	add_definitions(-DDISABLE_XATTR)
+ENDIF (WITH_XATTR)
 
 add_subdirectory(src)
 add_subdirectory(man)
