=== man/CMakeLists.txt ===
INSTALL(FILES unionfs.8 DESTINATION share/man/man8/)
