=== debian/changelog ===
unionfs-fuse (1.0-1ubuntu4) noble; urgency=medium

  * No-change rebuild for CVE-2024-3094

 -- William Grant <wgrant@ubuntu.com>  Mon, 01 Apr 2024 19:27:37 +1100

unionfs-fuse (1.0-1ubuntu3) noble; urgency=high

  * No change rebuild against libfuse2t64.

 -- Julian Andres Klode <juliank@ubuntu.com>  Fri, 22 Mar 2024 17:58:07 +0100

unionfs-fuse (1.0-1ubuntu2) bionic; urgency=high

  * No change rebuild to pick up -fPIE compiler default

 -- Balint Reczey <rbalint@ubuntu.com>  Tue, 03 Apr 2018 12:48:42 +0000

unionfs-fuse (1.0-1ubuntu1) wily; urgency=medium

  * Merge from Debian unstable (LP: #1476699). Remaining changes:
    - debian/control: Add Multi-Arch: foreign.

 -- Logan Rosen <logan@ubuntu.com>  Sun, 02 Aug 2015 21:46:16 -0400

unionfs-fuse (1.0-1) unstable; urgency=medium

  * New upstream release
  * Fix extended attributes (Closes: #742033)
  * New option for relaxed permissions (-o relaxed_permissions)
    (Closes: #614771)
  * Fix gcc-5 compilation (Closes: #778156)
  * Don't primarily use unionfs-fuse anymore, but just 'unionfs'.
    The name clash I was afraid of never happened, there is no other
    program called unionfs. For debian compatibility create a symlink
    unionfs-fuse -> unionfs
  * lintian fixes (BSD license file, compiler flags)

 -- Bernd Schubert <bernd.schubert@fastmail.fm>  Sun, 12 Jul 2015 20:14:57 +0200
