=== debian/control ===
--- 
+++ 
@@ -1,10 +1,11 @@
 Source: unionfs-fuse
 Section: misc
 Priority: optional
+Homepage: https://github.com/rpodgorny/unionfs-fuse
 Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
 XSBC-Original-Maintainer: Bernd Schubert <bernd.schubert@fastmail.fm>
-Build-Depends: debhelper (>= 7.0.0), libfuse-dev, cmake
-Standards-Version: 3.9.0
+Build-Depends: debhelper (>= 9.0.0), libfuse-dev, cmake
+Standards-Version: 3.9.6
 
 Package: unionfs-fuse
 Architecture: linux-any
