=== debian/rules ===
--- 
+++ 
@@ -9,7 +9,14 @@
 # Uncomment this to turn on verbose mode.
 export DH_VERBOSE=1
 
-CFLAGS = -pipe -W -Wall -g
+DPKG_EXPORT_BUILDFLAGS = 1
+include /usr/share/dpkg/buildflags.mk
+CPPFLAGS:=$(shell dpkg-buildflags --get CPPFLAGS)
+CFLAGS:=$(shell dpkg-buildflags --get CFLAGS) $(CPPFLAGS)
+CXXFLAGS:=$(shell dpkg-buildflags --get CXXFLAGS) $(CPPFLAGS)
+LDFLAGS:=$(shell dpkg-buildflags --get LDFLAGS)
+
+CFLAGS += -pipe -W -Wall -g
 
 ifneq (,$(findstring noopt,$(DEB_BUILD_OPTIONS)))
 	CFLAGS += -O0
@@ -30,7 +37,11 @@
 	touch configure-stamp
 
 
-build: build-stamp
+build: build-arch build-indep
+
+build-arch: build-stamp
+
+build-indep: build-stamp
 
 build-stamp: configure-stamp 
 	dh_testdir
@@ -59,6 +70,8 @@
 
 	# Add here commands to install the package into debian/unionfsfuse.
 	cd debian/build && make DESTDIR=../../debian/unionfs-fuse install
+	ln -s -r debian/unionfs-fuse/usr/bin/unionfs \
+                 debian/unionfs-fuse/usr/bin/unionfs-fuse
 
 # Build architecture-independent files here.
 binary-indep:
